##--------------- CrossWorlds Shared Environment file.  Used by the server, and Connectors ----------------
#
# the following variables are exported in this script:
#
#
# CROSSWORLDS     - Location of the Crossworlds Home directory
# CWJAVA          - fullpath to the java program that we use.
# PATH            - Modified to include MQ, Crossworlds
# CLASSPATH       - Modified to include ORB, MQ, HTTP requirements, DATADIRECT
# JAVA            - Modified to include many flags, may only be used bt the server. 
# JVM_FLAGS       - Java flags
# LD_LIBRARY_PATH - lib path
#

CROSSWORLDS=VAR_CWHOME
export CROSSWORLDS

###### Setting the OS variable ######

OS1=`uname`
if [ "$OS1" = "SunOS" ]
then
	OS="SOLARIS"
else
	OS="AIX"
fi
export OS

###### ORACLE_HOME ######
# -- oracle
# If you chose type2 driver, please put your oracle home path here.
# For example: ORACLE_HOME=/export/home/oracle/product/8.1.6

ORACLE_HOME=

##### the end of this section #####


# -- visibroker
VBROKER_HOME=/opt/vbroker

# set the osagent port number
OSAPORT=

if [ -n "$OSAGENT_PORT" ]; then
  OSAPORT="-Dvbroker.agent.port=$OSAGENT_PORT"
elif [ -n "$OSAPORT" ]; then
  OSAPORT="-Dvbroker.agent.port=$OSAPORT"
else
  OSAPORT=
fi

# if you have multihome host machine (e.g., HA) set the OA port host IP by
#  setting the env variable ORB_OAHOST 
OAHOST=

if [ -n "$ORB_OAHOST" ]; then
  OAHOST="-Dvbroker.se.iiop_tp.host=$ORB_OAHOST"
elif [ -n "$OAHOST" ]; then
  OAHOST="-Dvbroker.se.iiop_tp.host=$OAHOST"
else
  OAHOST=
fi

# -- MQseries
MQ_HOME=/opt/mqm
MQ_LIB=${MQ_HOME}/java/lib

##------ you don't need to configure below this - hopefully -----


# Define local batch PATH to insure we execute our java
PATH=${CROSSWORLDS}/bin:${CROSSWORLDS}/mqseries:${VBROKER_HOME}/bin:${PATH}
export PATH


# Java 
CWJAVA="${CROSSWORLDS}/bin/java"
export CWJAVA

JRT=${CROSSWORLDS}/lib/rt.jar;
export JRT

JAVA_SECURITY=${CROSSWORLDS}/lib/ibmjcefw.jar:${CROSSWORLDS}/lib/ibmjceprovider.jar:${CROSSWORLDS}/lib/local_policy.jar:${CROSSWORLDS}/lib/US_export_policy.jar

THIN_DRIVER=${CROSSWORLDS}/lib/classes12_01.zip
DB2=${CROSSWORLDS}/lib/db2java.zip

# Server CLASSPATH Configuration
CORECW=${CROSSWORLDS}/lib/CrossWorlds.jar:${CROSSWORLDS}/lib/Collabutils.jar
export CORECW
RSA=${CROSSWORLDS}/lib/sslj.jar:${CROSSWORLDS}/lib/certj.jar:${CROSSWORLDS}/lib/jsafe.jar
CWUTILS=${CROSSWORLDS}/lib/CwUtilities.jar
#XML_PARSER=${CROSSWORLDS}/DataHandlers/Dependencies/IBM/xml4j.jar
#IBM_XML=${CROSSWORLDS}/DataHandlers/Dependencies/IBM/xml4j.jar
XML_PARSER=${CROSSWORLDS}/lib/xerces.jar
DATAHANDLERS=${CROSSWORLDS}/DataHandlers/CwDataHandler.jar:${CROSSWORLDS}/DataHandlers/CustDataHandler.jar
MQ=${CROSSWORLDS}/lib/mq.jar
ORB1=${CROSSWORLDS}/lib/vbjorb.jar
DATADIRECT=${CROSSWORLDS}/lib/xwbase.jar:${CROSSWORLDS}/lib/xwutil.jar:${CROSSWORLDS}/lib/xwsqlserver.jar:${CROSSWORLDS}/lib/spy/lib/spy.jar:${CROSSWORLDS}/lib/xworacle.jar


CWCLASSES=${JRT}:${JAVA_SECURITY}:${WLICENSE}:${CORECW}:${RSA}:${THIN_DRIVER}:${DB2}:${DATAHANDLERS}:${MQ}:${ORB1}:${DATADIRECT}:${XML_PARSER}:
export CWCLASSES

if [ "${OS}" = "AIX" ]
then
LIBPATH=${CROSSWORLDS}/lib:${CROSSWORLDS}/bin:${CROSSWORLDS}/bin/classic:${VBROKER_HOME}/lib:${MQ_LIB}:${WREQUIRED}:$LIBPATH
export LIBPATH
LIBPATH_JAVA="-Djava.library.path=${LIBPATH}"
else
LD_LIBRARY_PATH=${CROSSWORLDS}/lib:${CROSSWORLDS}/lib/sparc:${VBROKER_HOME}/lib:${MQ_LIB}:${WREQUIRED}:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH
LIBPATH_JAVA="-Djava.library.path=${LD_LIBRARY_PATH}"
fi

JAVA_PROPERTY_FLAGS="-Dbea.home=${CROSSWORLDS} ${OSAPORT} ${OAHOST} -Dorg.omg.CORBA.ORBClass=com.inprise.vbroker.orb.ORB -Dorg.omg.CORBA.ORBSingletonClass=com.inprise.vbroker.orb.ORBSingleton -Duser.home=${CROSSWORLDS} -DORACLE_HOME=${ORACLE_HOME}"

# This is the generic JVM flags
# JVM has some issues... so we are explicitly specifying some
# parameters here
#       -Xms<size> : set initial Java heap size
# 	-Xmx<size> : set maximum Java heap size (def 64M)
# 	-Xss<size> : set java thread stack size (def 128k)

if [ "${OS}" = "AIX" ]
then
JVM_FLAGS="-Xmx128m ${JAVA_PROPERTY_FLAGS}"
else
JVM_FLAGS="-hotspot -native -Xmx128m ${JAVA_PROPERTY_FLAGS}"
fi


CONN_CPP_JVM_FLAGS="${JVM_FLAGS} -Xss5m "
export CONN_CPP_JVM_FLAGS 
CONN_JAVA_JVM_FLAGS=${JVM_FLAGS}
export CONN_JAVA_JVM_FLAGS

JVM_FLAGS="${JVM_FLAGS} ${LIBPATH_JAVA}"
export JVM_FLAGS

# For ICS server the "maximum Java heap size" is definded by this variable
CW_MEMORY_MAX=512

if [ "${OS}" = "AIX" ]
then
JVM_ICS_FLAGS="-Xms${CW_MEMORY_MAX}m -Xmx${CW_MEMORY_MAX}m -Xss512k -DCW_MEMORY_MAX=${CW_MEMORY_MAX} -Dvbroker.orb.streamChunkSize=8192 ${JAVA_PROPERTY_FLAGS} ${LIBPATH_JAVA}"
else
JVM_ICS_FLAGS="-server -native -Xms${CW_MEMORY_MAX}m -Xmx${CW_MEMORY_MAX}m -Xss512k -DCW_MEMORY_MAX=${CW_MEMORY_MAX} -Dvbroker.orb.streamChunkSize=8192 ${JAVA_PROPERTY_FLAGS} ${LIBPATH_JAVA}"
fi

export JVM_ICS_FLAGS

JAVA="${CWJAVA} ${JVM_FLAGS}"
export JAVA

JAVA_ICS="${CWJAVA} ${JVM_ICS_FLAGS}"
export JAVA_ICS



